summaryrefslogtreecommitdiff
path: root/dmake
diff options
context:
space:
mode:
authorIvo Hinkelmann <ihi@openoffice.org>2007-10-15 14:52:20 +0000
committerIvo Hinkelmann <ihi@openoffice.org>2007-10-15 14:52:20 +0000
commitfade5569697af28f070e9c1b0afc2843ab5aff1c (patch)
treea41a2a686f4b5ab45fd2bdd6dd9f0db8ca60cceb /dmake
parentf5047827faba05afd4fa70e97f544498ed015e44 (diff)
INTEGRATION: CWS dmake411 (1.1.2); FILE ADDED
2007/09/24 21:45:58 vq 1.1.2.1: #i80012# Add testcase.
Diffstat (limited to 'dmake')
-rwxr-xr-xdmake/tests/targets-2959
1 files changed, 59 insertions, 0 deletions
diff --git a/dmake/tests/targets-29 b/dmake/tests/targets-29
new file mode 100755
index 000000000000..004553eb93d5
--- /dev/null
+++ b/dmake/tests/targets-29
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# 24.09.2007 Volker Quetschke
+# Check that the .REMOVE target does not crash dmake in parallel builds.
+# (issue 80012)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+file2="aaa.aaa"
+file3="aaa.bbb"
+file4="aaa.ccc"
+tmpfiles="$file1 $file2 $file3 $file4"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+.REMOVE :; @echo remove intermediate target: \$<
+
+%.aaa : %.bbb
+ @echo built \$@
+
+%.bbb : %.ccc
+ @sleep 1
+ @echo built \$@
+
+%.ccc :
+ @echo built \$@
+
+all : aaa.aaa
+ @echo Done
+
+EOT
+
+output1=`eval ${DMAKEPROG} -P2 -rf $file1 2>&1`
+result1=$?
+
+if test $result1 -ne 0; then
+ echo "Failure! Remove the corefile!"
+ echo "Output: $output1"
+ result1=1
+else
+ echo "OK"
+fi
+
+if test $result1 -eq 0 ; then
+ echo "Success - Cleaning up"
+ rm -rf $tmpfiles
+ exit
+else
+ echo "Failure!"
+ exit 1
+fi